<?xml version="1.0" encoding="UTF-8"?>
<!--
Pantalla con detalles de radicacion del proceso express de actualzacion

19-08-2015

@author felipe.cadena
@mb RadicacionActualizacionMB

-->
<!DOCTYPE html>

<h:form         xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                id="infoRadicacionForm" >

    <p:spacer height="10"/>

    <p:fieldset>


        <p:messages id="msgsGSDetalle" showDetail="false" globalOnly="false" />


        <h:panelGrid columns="6" cellpadding="10" width="100%">

            <h:outputLabel value="Numero de solicitud:" styleClass="outputLabelStyle"/>

            <h:inputText value="#{radicacionActualizacion.solicitudActualizacion.numero}"
                         disabled="true"/>

            <h:outputLabel value="Fecha de solicitud:" styleClass="outputLabelStyle"/>

            <h:outputText value="#{radicacionActualizacion.solicitudActualizacion.fecha}"
                          styleClass="outputTextStyle">
                <f:convertDateTime pattern="dd/MM/yyyy"/>
            </h:outputText>


            <h:outputLabel value="Tipo de solicitud:" styleClass="outputLabelStyle"/>


            <h:outputText value="TRAMITE ACTUALIZACIÓN"
                          styleClass="outputTextStyle" id="SolicitudTipoV">
                <f:converter converterId="converterCB" for="SolicitudTipoV" />
            </h:outputText>

            <h:panelGrid columns="2">
                <h:outputLabel value="Folios: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText value="#{radicacionActualizacion.solicitudActualizacion.folios}"
                         required="true"
                         requiredMessage="El dato Folios es obligatorio"
                         disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>

            <h:panelGrid columns="2">
                <h:outputLabel value="Anexos: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText value="#{radicacionActualizacion.solicitudActualizacion.anexos}"

                         required="true"
                         requiredMessage="El dato Anexos es obligatorio"
                         disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>

            <h:outputLabel value="Doc. correspondencia:" styleClass="outputLabelStyle"/>

            <h:inputText value="#{radicacionActualizacion.solicitudActualizacion.tipoDocumentoCorrespondencia}"
                         disabled="true"/>

        </h:panelGrid>

        <p:spacer height="13" width="13" />

        <h:panelGrid columns="4" cellpadding="10" width="50%">
            <h:outputLabel value="Asunto:" styleClass="outputLabelStyle"/>

            <h:inputTextarea value="#{radicacionActualizacion.solicitudActualizacion.asunto}" 
                             cols="70"  disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>
            <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle"/>

            <h:inputTextarea value="#{radicacionActualizacion.solicitudActualizacion.observaciones}"
                             cols="70"  disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"/>

            <h:outputText value="#{radicacionActualizacion.departamentoSeleccionadoNombre}" styleClass="outputTextStyle"/>

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"/>

            <h:outputText value="#{radicacionActualizacion.municipioSeleccionadoNombre}"  styleClass="outputTextStyle"/>

        </h:panelGrid>

        <p:spacer height="20" width="13" />

        <p:fieldset legend="Información solicitante">

            <h:panelGrid columns="4" cellpadding="2" width="50%">
                <h:outputLabel value="Tipo persona:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;" value="#{radicacionActualizacion.solicitanteActualizacion.solicitante.tipoPersona}"  disabled="true"/>

                <h:outputLabel value="Número documento:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.solicitante.numeroIdentificacion}"  disabled="true"/>

                <h:outputLabel value="Razón social:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.solicitante.razonSocial}"  disabled="true"/>

                <h:outputLabel value="Sigla:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.solicitante.sigla}"  disabled="true"/>

                <h:outputLabel value="Correo electronico:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.correoElectronico}"  disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>

                <h:outputLabel value="Relación:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.relacion}"  disabled="true"/>

                <h:outputLabel value="Telefono principal:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.telefonoPrincipal}"  disabled="true"/>

                <h:outputLabel value="Pais:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.direccionPais.nombre}"  disabled="true"/>

                <h:outputLabel value="Telefono secundario:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.telefonoSecundario}"  disabled="true"/>

                <h:outputLabel value="Departemento:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.direccionDepartamento.nombre}"  disabled="true"/>

                <h:outputLabel value="Fax:" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.solicitante.fax}"  disabled="true"/>

                <h:outputLabel value="Municipio" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.direccionMunicipio.nombre}"  disabled="true"/>

                <h:outputLabel value="Celular" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.telefonoCelular}"  disabled="true"/>

                <h:outputLabel value="Dirección" styleClass="outputLabelStyle"/>
                <h:inputText style="width: 250px;"  value="#{radicacionActualizacion.solicitanteActualizacion.direccion}" disabled="true"/>

                <p:spacer height="13" width="13" />
                <p:spacer height="13" width="13" />

                <h:panelGrid columns="2">
                    <h:outputLabel value="Codigo postal: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:inputText value="#{radicacionActualizacion.solicitanteActualizacion.codigoPostal}"  
                             required="true"
                             requiredMessage="El dato Codigo postal es obligatorio"
                             disabled="#{!radicacionActualizacion.banderaSolicitudNueva}"/>

            </h:panelGrid>

        </p:fieldset>


        <p:spacer height="13" width="13" />
        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="13" width="13" />

            <p:commandButton value="Guardar solicitud" rendered="#{radicacionActualizacion.banderaSolicitudNueva}"
                             icon="ui-icon ui-icon-disk" 
                             update=":datosActualizacionForm, msgsGSDetalle"
                             action="#{radicacionActualizacion.guardarSolicitudActualizacion}"
                             oncomplete="handleCompleteSIC(xhr, status, args, radicarInfoWV, false);statusDialog2.hide();"
                             onstart="statusDialog2.show();" />
            <p:spacer height="13" width="13" />

            <p:commandButton value="Mostrar tramites" rendered="#{!radicacionActualizacion.banderaSolicitudNueva}"
                             icon="ui-icon ui-icon-search" 
                             update=":infoRadicacionForm, msgsGSDetalle"
                             action="#{radicacionActualizacion.mostrarTramites}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();"
                             />
            <p:spacer height="13" width="13" />

        </p:outputPanel>


        <p:spacer height="20" width="13" />

        <p:fieldset legend="Información trámites" id="infoTramitesFS" widgetVar="infoTramitesWV" 
                    rendered="#{!radicacionActualizacion.banderaSolicitudNueva and !(empty radicacionActualizacion.tramitesActualizacion)}"
                    >

            <p:spacer height="13" width="13" />

            <p:dataTable id="prediosActualizacionDT"
                         value="#{radicacionActualizacion.tramitesActualizacion}" var="tramite"
                         paginator="true" rows="10" rowKey="#{tramite.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15,100" paginatorPosition="bottom"

                         emptyMessage="No se encontraron tramites radicados.">


                <p:column headerText="Numero radicación">
                    <h:outputText value="#{tramite.tramite.numeroRadicacion}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Fecha radicación">
                    <h:outputText value="#{tramite.tramite.fechaRadicacion}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>

                <p:column headerText="Tipo de trámite" filterBy="#{tramite.tramite.tipoTramiteCadenaCompleto}" 
                          filterMatchMode="contains"
                          sortBy="#{tramite.tramite.tipoTramiteCadenaCompleto}">
                    <h:outputText 
                        id="TramiteTipoTramiteV"
                        value="#{tramite.tramite.tipoTramiteCadenaCompleto}"
                        styleClass="outputTextStyleInTable">
                    </h:outputText>
                </p:column> 

                <p:column headerText="Número predial">
                    <h:outputText value="#{tramite.numeroPredialInicial}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>
                <p:column headerText="Cantidad trámites">
                    <h:outputText value="#{tramite.conteoTramites}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>
                <p:column headerText="Orden trámite">
                    <h:outputText value="#{tramite.ordenTramite}" 
                                  styleClass="outputTextStyleInTable"/>
                </p:column>


            </p:dataTable>

            <p:spacer height="20" width="13" />

            <p:outputPanel layout="block" style="text-align:left">

                <p:spacer height="13" width="13" />


                <p:commandButton value="Generar reporte"  
                                 icon="ui-icon-calculator" 
                                 update=":validarInfoForm:validarInfoMsgs"
                                 immediate="true" ajax="false"
                                 action="#{radicacionActualizacion.generarReporteRadicaciones}"
                                 onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();">
                    <p:fileDownload value="#{radicacionActualizacion.reporteRadicacion}"/>
                </p:commandButton>
                <p:spacer height="13" width="13" />

            </p:outputPanel>
            <p:spacer height="20" width="13" />

        </p:fieldset>



    </p:fieldset>

</h:form>
